package ua.be.wee.model.nodes;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;

@Entity
public class FinalNode extends Node {
	
	@ManyToMany(cascade = CascadeType.ALL)
	private List<Node> previous;

	public List<Node> getPrevious() {
		return previous;
	}

	public void setPrevious(List<Node> previous) {
		this.previous = previous;
	}
	
	public String getName() {
		return "END TRACE";
	}

}
